Page MenuHomePhabricator

decommission es2018.codfw.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of server es2018.codfw.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

es2018

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of servee.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks removed (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui moved this task from Triage to In progress on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2020-09-23T06:31:40Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool es2018 T263615', diff saved to https://phabricator.wikimedia.org/P12744 and previous config saved to /var/cache/conftool/dbconfig/20200923-063140-marostegui.json

Change 629315 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] es2018: Disable notifications

https://gerrit.wikimedia.org/r/629315

Change 629315 merged by Marostegui:
[operations/puppet@production] es2018: Disable notifications

https://gerrit.wikimedia.org/r/629315

Marostegui updated the task description. (Show Details)Sep 23 2020, 6:35 AM

mysql stopped, let's give it a some hours before going ahead for the decommissioning.

Change 629502 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] instances.yaml: Remove es2012 and es2018 from dbctl

https://gerrit.wikimedia.org/r/629502

Change 629502 merged by Marostegui:
[operations/puppet@production] instances.yaml: Remove es2012 and es2018 from dbctl

https://gerrit.wikimedia.org/r/629502

Mentioned in SAL (#wikimedia-operations) [2020-09-24T05:30:02Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove es2012 and es2018 from dbctl - T263615 T263613', diff saved to https://phabricator.wikimedia.org/P12778 and previous config saved to /var/cache/conftool/dbconfig/20200924-053001-marostegui.json

Marostegui updated the task description. (Show Details)Sep 24 2020, 5:30 AM

Change 629503 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove es2012, es2018 from puppet

https://gerrit.wikimedia.org/r/629503

cookbooks.sre.hosts.decommission executed by volans@cumin1001 for hosts: es2018.codfw.wmnet

  • es2018.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • COMMON_STEPS (FAIL)
    • Failed to run the sre.dns.netbox cookbook: Cumin execution failed (exit_code=2)
    • Not all affected DC(s) have been migrated to automatic DNS, a manual patch to the operations/dns repository is required

ERROR: some step on some host failed, check the bolded items above

Change 629503 merged by Marostegui:
[operations/puppet@production] mariadb: Remove es2012, es2018 from puppet

https://gerrit.wikimedia.org/r/629503

Marostegui reassigned this task from Marostegui to Papaul.Sep 24 2020, 8:11 AM
Marostegui added a project: ops-codfw.

Ready for DC-Ops

Restricted Application added a project: SRE. · View Herald TranscriptSep 24 2020, 8:11 AM
Marostegui updated the task description. (Show Details)Sep 24 2020, 8:11 AM
Marostegui removed a project: DBA.

cookbooks.sre.hosts.decommission executed by volans@cumin1001 for hosts: es2018.codfw.wmnet

  • es2018.codfw.wmnet (FAIL)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Unable to connect to the host, wipe of bootloaders will not be performed: Cumin execution failed (exit_code=2)
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • COMMON_STEPS (WARN)
    • Not all affected DC(s) have been migrated to automatic DNS, a manual patch to the operations/dns repository is required

ERROR: some step on some host failed, check the bolded items above

Change 629618 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] dns: Remove es2018

https://gerrit.wikimedia.org/r/629618

Change 629618 merged by Marostegui:
[operations/dns@master] dns: Remove es2018

https://gerrit.wikimedia.org/r/629618

Papaul moved this task from Backlog to Decommission on the ops-codfw board.Sep 24 2020, 12:29 PM
papaul@asw-b-codfw# show | compare
[edit interfaces interface-range vlan-private1-b-codfw]
-    member ge-6/0/19;
[edit interfaces interface-range disabled]
     member ge-4/0/21 { ... }
+    member ge-6/0/19;
[edit interfaces ge-6/0/19]
-   description es2018;
Papaul updated the task description. (Show Details)Sep 25 2020, 4:29 PM
Papaul closed this task as Resolved.Sep 28 2020, 3:44 PM
Papaul updated the task description. (Show Details)

complete